%h1.secure_font API Connection & Security
%br
#ApiSecuritySection.row{ data: {projectid: @project.id, devkey: @dev_key.computed_json, prodkey: @prod_key.computed_json} }
  %br
  %br
  .col-sm-6{"v-for": "key in keyRing"}
    / if there is a key saved
    .card{"v-if":"!!key.id"}
      .card-header{":id": "'card-header-' + key.env_name"}
        %h3
          %b {{key.env_name}}
          enviroment key
        %h5
          %i active since
          %b {{updatedAt(key.updated_at)}}

      .card-body{":id": "'card-body-' + key.env_name"}
        %h5.secure_font
          %b client_id
        .client_id
          {{key.client_id}}
        %hr

        %h5.secure_font
          %b RSA Public key
        %pre.rsa_pub
          {{key.public_key}}
        %hr

        %button.btn.btn-info Need help?

        .text-right
          %a.destroylight{":data-target" => "'#warninglock' + key.id", "data-toggle" => "modal"}
            Change Locks
            %i.material-icons autorenew
            %i.material-icons vpn_key
            \...
        / warning modal before changing locks
        .modal.fade{":id" => "'warninglock' + key.id", "aria-hidden" => "true", "aria-labelledby" => "exampleModalLabel", :role => "dialog", :tabindex => "-1"}
          .modal-dialog{:role => "document"}
            .modal-content
              .modal-header
                %h4.secure_font.modal-title Sure you want to change your {{key.env_name}} keys?
                %button.close{"aria-label" => "Close", "data-dismiss" => "modal", :type => "button"}
                  %span{"aria-hidden" => "true"} ×

              .modal-body
                If you change your locks, the current
                %i secret_keys
                that should be configured
                in your {{key.env_name}} environment won't be valid anymore.
                %br
                %br
                Until you configure the new key (that we gonna povide if you proceed...)
                %b all send request to our API in your {{key.env_name}} environment won't be authorized!
                %br
                %br
                Also be aware that we don't store
                %i secret keys
                \. We only store the your
                %i client_id
                and
                %i public_key
                %br
                %b If you lose any secret key consider it lost!
                %br
                The only way to access our send API is by changing the locks again
                and store the newly provided
                %i secret_key
                In your project's environment variables.
                %br
                %a.btn.btn-info
                  Need some help with that? click here.

              .modal-footer
                %button.btn.basic{"data-dismiss" => "modal", :type => "button"} No, keep my current keys!
                %button.btn.btn-danger{"data-dismiss" => "modal", :type => "button", "v-on:click" => "changeLocks(key.id)"} Yes change my locks...

    / if no key saved
    .card{"v-else":""}
      .card-header{":id": "'card-header-' + key.env_name"}
        %h3
          %b No {{key.env_name}}
          key yet created...

        %hr

        .text-center
          %button.btn.btn-outline-primary.cta{"v-on:click": "generateKey(key.env_name)"}
            create a
            %b {{key.env_name}}
            now!
        %br

  /reveal modal
  %button#revealSecretBtn.btn.btn-primary{"data-target" => "#revealSecret", "data-toggle" => "modal", "data-backdrop" => "static", "hidden" => true}
    Launch demo modal

  #revealSecret.modal.fade{"aria-hidden" => "true", "aria-labelledby" => "exampleModalLabel", :role => "dialog", :tabindex => "-1"}
    .modal-dialog{:role => "document"}
      .modal-content
        %div{"v-if":"!!revealed_key"}
          .modal-header
            %h4.secure_font.modal-title
              New
              %b {{revealed_key.env_name}}
              enviroment key
            %button.close{"aria-label" => "Close", "data-dismiss" => "modal", :type => "button"}
              %span{"@click":"cleanSecret()"} ×

          .modal-body
            %h5.secure_font
              %b your new client_id
              %button.btn.btn-warning{"@click":"copyKey('client_id')"}
                copy
            .client_id
              {{revealed_key.client_id}}

            %hr
            %h5.secure_font
              %b your new RSA secret key
              %button.btn.btn-warning{"@click":"copyKey('secret_key')"}
                copy
            .rsa_secret
              {{revealed_key.secret_key}}
          .modal-footer
            %a#ddlcsv.button.btn.basic{disabled: "true"}
              Get this in a CSV file
            %button.btn.btn-secondary{"@click":"cleanSecret()"} Close


        .modal-body{"v-else":""}
          =image_tag "loading.gif"
          %button#closeRevalation.btn.btn-secondary{"data-dismiss" => "modal", :type => "button", "hidden" => true} Close
